%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-tape
Version:             4.9.0
Release:             1
Summary:             Tap-producing test harness for Node.js and browsers
License:             MIT
URL:                 https://github.com/substack/tape
Source0:             http://registry.npmjs.org/tape/-/tape-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(for-each)
%if 0%{?enable_tests}
BuildRequires:       npm(concat-stream) npm(defined) npm(deep-equal) >= 0.2.1 npm(function-bind)
BuildRequires:       npm(has) npm(js-yaml) npm(jsonify) npm(minimist) npm(object-inspect)
BuildRequires:       npm(resolve) npm(resumer) npm(string.prototype.trim) npm(tap) npm(tap-parser)
BuildRequires:       npm(through)
%endif
%description
%{summary}.

%prep
%setup -q -n package
%nodejs_fixdep glob "^6.0.4"
%nodejs_fixdep inherits "^2.0.1"
%nodejs_fixdep object-inspect "^1.1.0"
%nodejs_fixdep resolve "^1.7.1"

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/tape
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/tape
mkdir -p %{buildroot}%{nodejs_sitelib}/tape/bin
install -p -D -m0755 bin/tape %{buildroot}%{nodejs_sitelib}/tape/bin/tape
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/tape/bin/tape %{buildroot}%{_bindir}/tape
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
rm test/array.js test/exit.js test/fail.js test/nested.js test/too_many.js
rm test/require.js
%tap test/*.js
%endif

%files
%doc readme.markdown
%license LICENSE
%{nodejs_sitelib}/tape
%{_bindir}/tape

%changelog
* Wed Aug 12 2020 wangyue <wangyue92@huawei.com> - 4.9.0-1
- package init
